<?xml version="1.0" encoding="utf-8"?>
<com.qmuiteam.qmui.widget.QMUIWindowInsetLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".modules.home.fragment.from.fragment.SystemSystemsetFragment">
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        android:background="@color/main_background">

        <RelativeLayout
            android:layout_marginTop="@dimen/dp_10"
            android:layout_width="match_parent"
            android:layout_height="wrap_content">
            <TableLayout
                android:layout_centerHorizontal="true"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content">
                <!-- Table1-->
                <TableRow
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_margin="5dp">
                    <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:gravity="right"
                        android:text="PLC连接地址:" />
                    <EditText
                        android:id="@+id/edittext1"
                        android:layout_width="120dp"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="5dp"
                        android:background="@drawable/input_bj"
                        android:hint="请输入地址"
                        android:inputType="text"
                        android:maxLines="1"
                        android:padding="3dp"
                        android:textSize="12dp" />


                    <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                        android:layout_marginLeft="@dimen/dp_10"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:gravity="right"
                        android:text="PLC连接端口:" />
                    <EditText
                        android:id="@+id/edittext2"
                        android:layout_width="120dp"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="5dp"
                        android:background="@drawable/input_bj"
                        android:hint="请输入端口"
                        android:inputType="number"
                        android:maxLines="1"
                        android:padding="3dp"
                        android:textSize="12dp"
                        android:text="0"/>
                </TableRow>

                <!-- Table2-->
                <TableRow
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="left"
                    android:layout_margin="5dp">
                    <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:gravity="right"
                        android:text="商家店铺号:" />
                    <EditText
                        android:id="@+id/edittext3"
                        android:layout_width="120dp"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="5dp"
                        android:background="@drawable/input_bj"
                        android:hint="请输入商家店铺号"
                        android:inputType="text"
                        android:maxLines="1"
                        android:padding="3dp"
                        android:textSize="12dp" />
                    <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:gravity="right"
                        android:text="链接环境:" />
                    <Spinner
                        android:id="@+id/environment"
                        style="@style/commonSpinnerStyle"
                        android:layout_width="80dp"
                        android:layout_height="24dp"
                        android:layout_centerVertical="true" />
                </TableRow>

                <!-- Table3-->
                <TableRow
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="left"
                    android:layout_margin="5dp">
                    <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:gravity="right"
                        android:text="商家设备号:" />
                    <EditText
                        android:id="@+id/edittext4"
                        android:layout_width="120dp"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="5dp"
                        android:background="@drawable/input_bj"
                        android:hint="请输入商家设备号"
                        android:inputType="text"
                        android:maxLines="1"
                        android:padding="3dp"
                        android:textSize="12dp" />

                    <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                        android:layout_marginLeft="@dimen/dp_10"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:gravity="right"
                        android:text="版本选择:" />
                    <Spinner
                        android:id="@+id/versionselection"
                        style="@style/commonSpinnerStyle"
                        android:layout_width="80dp"
                        android:layout_height="24dp"
                        android:layout_centerVertical="true" />
                </TableRow>

                <!-- Table3-->
                <TableRow
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="left"
                    android:layout_margin="5dp">
                    <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:gravity="right"
                        android:text="火力最大级别:" />
                    <Spinner
                        android:id="@+id/HuoLi"
                        style="@style/commonSpinnerStyle"
                        android:layout_width="80dp"
                        android:layout_height="24dp"
                        android:layout_centerVertical="true" />

                    <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                        android:layout_marginLeft="@dimen/dp_10"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:gravity="right"
                        android:text="锅低最大温度:" />
                    <EditText
                        android:id="@+id/edittext_wd"
                        android:layout_width="120dp"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="5dp"
                        android:background="@drawable/input_bj"
                        android:hint="请输入温度"
                        android:inputType="number"
                        android:maxLines="1"
                        android:padding="3dp"
                        android:textSize="12dp"
                        android:text="0"/>
                </TableRow>


                <!-- Table11-->
                <TableRow
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_margin="5dp">
                    <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:gravity="right"
                        android:text="主控连接地址:" />
                    <EditText
                        android:id="@+id/edittext100"
                        android:layout_width="120dp"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="5dp"
                        android:background="@drawable/input_bj"
                        android:hint="请输入地址"
                        android:inputType="text"
                        android:maxLines="1"
                        android:padding="3dp"
                        android:textSize="12dp" />


                    <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                        android:layout_marginLeft="@dimen/dp_10"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:gravity="right"
                        android:text="主控连接端口:" />
                    <EditText
                        android:id="@+id/edittext101"
                        android:layout_width="120dp"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="5dp"
                        android:background="@drawable/input_bj"
                        android:hint="请输入端口"
                        android:inputType="number"
                        android:maxLines="1"
                        android:padding="3dp"
                        android:textSize="12dp"
                        android:text="0"/>
                </TableRow>

                <!-- Table11-->
                <TableRow
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_margin="5dp">
                    <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:gravity="right"
                        android:text="设备序号:" />
                    <EditText
                        android:id="@+id/edittext102"
                        android:layout_width="120dp"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="5dp"
                        android:background="@drawable/input_bj"
                        android:hint="请输入序号"
                        android:inputType="number"
                        android:maxLines="1"
                        android:padding="3dp"
                        android:textSize="12dp"
                        android:text="1"/>

                    <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                        android:layout_marginLeft="@dimen/dp_10"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:gravity="right"
                        android:text="手投是否暂停" />
                    <Spinner
                        android:id="@+id/isStop"
                        style="@style/commonSpinnerStyle"
                        android:layout_width="80dp"
                        android:layout_height="24dp"
                        android:layout_centerVertical="true" />
                </TableRow>
            </TableLayout>


        </RelativeLayout>
        <RelativeLayout
            android:layout_marginTop="@dimen/dp_10"
            android:layout_marginLeft="@dimen/dp_40"
            android:layout_marginRight="@dimen/dp_40"
            android:layout_width="match_parent"
            android:layout_height="wrap_content">
            <Button
                android:id="@+id/StartButton"
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:background="@drawable/bg_btn_login_selected"
                android:text="保存参数"
                android:textColor="@color/white"
                android:textSize="18sp"/>
        </RelativeLayout>
    </LinearLayout>
</com.qmuiteam.qmui.widget.QMUIWindowInsetLayout>